@import url('https://fonts.googleapis.com/css2?family=Manrope:wght@200..800&display=swap');



:root{
    --light-color: #FFFFFF;
    --bg-color: #EDEDF2;
    --active-color: #454CEE;
    --dark-color: #050C26;
}
body{
    height: fit-content;
    padding: 0;
    margin: 0;
    position: relative;
    display: flex;
    flex-direction: column;
    align-items: center;
    background-color: var(--bg-color);
    font-family: Manrope, sans-serif;
    letter-spacing: 0.05em;
    color: var(--dark-color);
    &.hidden{
        overflow: hidden;
    }
}
p, h1, h2, h3{
    padding: 0;
    margin: 0;
    font-weight: normal;
}
a{
    text-decoration: none;
}
input, button{
    font-family: Manrope, sans-serif;
    letter-spacing: 0.05em;
    color: var(--dark-color);
}



header{
    width: 100%;
    height: fit-content;
    box-sizing: border-box;
    padding: 0 4.5vw;
    position: absolute;
    left: 0;
    top: 40px;
    h1{
        font-size: 25px;
        user-select: none;
    }
}
main{
    width: 90%;
    max-width: 650px;
    height: fit-content;
    box-sizing: border-box;
    padding: 100px 0 50px 0;
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 80px;
}
@media (max-width: 500px) {
    header{
        top: 20px;
        h1{
            font-size: 25px;
        }
    }
    main{
        padding-top: 60px;
        gap: 60px;
    }
}



.wallet-form{
    width: 100%;
    height: auto;
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 25px;
}
.block-layout, .purchase-layout{
    width: 100%;
    height: fit-content;
    box-sizing: border-box;
    padding: 20px 25px;
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 10px;
    border-radius: 20px;
    background-color: var(--light-color);
    h2{
        width: 100%;
        font-size: 18px;
    }
    &.info{
        font-size: 15px;
    }
}
.checkbox-layout{
    width: 100%;
    height: 40px;
    box-sizing: border-box;
    display: flex;
    align-items: center;
    gap: 15px;
    cursor: pointer;
    p{
        font-size: 18px;
        user-select: none;
    }
    input{
        display: none;
    }
    .checkbox{
        width: 22px;
        min-width: 22px;
        height: 22px;
        max-height: 22px;
        box-sizing: border-box;
        padding: 0 0 3.5px 0;
        display: flex;
        justify-content: center;
        align-items: center;
        border: 1px var(--active-color) solid;
        border-radius: 8px;
        transition: all .2s;
        &::after{
            display: none;
            content: url("data:image/svg+xml,%3Csvg width='12' height='9' viewBox='0 0 13 10' fill='none' xmlns='http://www.w3.org/2000/svg'%3E%3Cpath d='M4.19748 10C3.82846 10.0002 3.47456 9.84387 3.21384 9.56559L0.239991 6.39787C-0.0799971 6.05679 -0.0799971 5.50389 0.239991 5.1628C0.560082 4.82183 1.07895 4.82183 1.39904 5.1628L4.19748 8.14478L11.601 0.255731C11.9211 -0.0852438 12.4399 -0.0852438 12.76 0.255731C13.08 0.596816 13.08 1.14971 12.76 1.4908L5.18111 9.56559C4.9204 9.84387 4.56649 10.0002 4.19748 10Z' fill='white'/%3E%3C/svg%3E%0A");
        }
    }
    input:checked + .checkbox{
        background-color: var(--active-color);
        &::after{
            display: block;
        }
    }
}
.cost-layout{
    width: 100%;
    height: fit-content;
    box-sizing: border-box;
    padding: 15px 0 0 0;
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 20px;
    p{
        width: 100px;
        font-size: 20px;
    }
    .cost{
        width: fit-content;
        height: 40px;
        box-sizing: border-box;
        padding: 0 25px;
        display: flex;
        justify-content: center;
        align-items: center;
        border: 1px var(--dark-color) solid;
        border-radius: 15px;
        font-size: 20px;
    }
}
.purchase-layout{
    height: 460px;
    padding-bottom: 25px;
    overflow-y: hidden;
    gap: 15px;
}
.parchase-info{
    width: 100%;
    height: 40px;
    min-height: 40px;
    box-sizing: border-box;
    padding: 0 20px;
    display: flex;
    justify-content: space-between;
    align-items: center;
    border: 1px var(--dark-color) solid;
    border-radius: 15px;
    transition: all .8s ease;
    opacity: 1;
    transform: translateY(0);
    &.enter {
        opacity: 0;
        transform: translateY(-15px);
    }
    &.leave {
        opacity: 0;
        transform: translateY(15px);
    }
    p{
        width: 100px;
        font-size: 15px;
        &.left { text-align: start; }
        &.center { text-align: center; }
        &.right { text-align: right; }
    }
}
.modal-bg-blur{
    width: 100%;
    height: 100%;
    position: absolute;
    top: 0;
    left: 0;
    display: none;
    background-color: rgba(0, 0, 0, 0.2);
    backdrop-filter: blur(5px);
    z-index: 5;
    &.active{
        display: block;
    }
}
.modal-window{
    width: 90%;
    max-width: 500px;
    height: fit-content;
    box-sizing: border-box;
    padding: 40px;
    position: fixed;
    left: 50%;
    top: 50%;
    transform: translate(-50%, -50%);
    display: none;
    flex-direction: column;
    align-items: center;
    gap: 25px;
    border: 1px rgba(255, 0, 0, 0.2) solid;
    border-radius: 20px;
    background-color: rgba(255, 0, 0, 0.2);
    backdrop-filter: blur(100px);
    z-index: 10;
    &.active{
        display: flex;
    }
    p{
        font-size: 15px;
        text-align: center;
    }
    .modal-wallet-adress{
        white-space: pre-line;
    }
    h2{
        font-size: 25px;
        text-align: center;
        font-weight: 600;
        color: red;
    }
    a{
        color: var(--active-color);
    }
    .btn-layout{
        width: 100%;
        height: 50px;
        margin-top: -5px;
        display: flex;
        align-items: center;
        gap: 25px;
        a{
            width: 100%;
            height: 100%;
        }
        button{
            width: 100%;
            height: 100%;
            border: none;
            border-radius: 20px;
            background-color: var(--light-color);
            font-size: 20px;
            cursor: pointer;
            transition: all .2s;
            &:disabled{
                background-color: #DFE0E9;
                color: #797986;
                cursor: auto;
            }
            &:hover{
                background-color: #DFE0E9;
            }
        }
    }
    .close-btn{
        width: 40px;
        aspect-ratio: 1/1;
        position: absolute;
        top: 5px;
        right: 5px;
        display: flex;
        justify-content: center;
        align-items: center;
        border: none;
        border-radius: 15px;
        background-color: transparent;
        transition: all .2s;
        cursor: pointer;
        &:hover{
            background-color: rgba(255, 255, 255, 0.2);
        }
        svg{
            width: 15px;
            height: 15px;
            fill: var(--dark-color);
        }
    }
}
@media (max-width: 500px) {
    .block-layout{
        gap: 15px;
    }
    .checkbox-layout{
        height: fit-content;
        align-items: start;
        p{
            font-size: 15px;
        }
        .checkbox{
            margin-top: -1px;
        }
    }
    .cost-layout{
        padding-top: 10px;
        p{
            font-size: 18px;
        }
        .cost{
            font-size: 18px;
        }
    }
    .parchase-info{
        p{
            font-size: 12px;
        }
    }
    .modal-window{
        padding: 30px 20px 20px 20px;
        h2{
            font-size: 22px;
        }
        .btn-layout button{
            font-size: 15px;
        }
    }
}



.title-text{
    width: 100%;
    padding: 20px 0;
    font-size: 22px;
    text-align: center;
    white-space: pre-line;
    &::after{
        content: "SeedKey - we buy seed phrases and private keys\Ayour CRYPTO WALLETS starting from $50";
    }
}
.fail-input{
    width: 100%;
    box-sizing: border-box;
    padding-left: 5px;
    margin-top: -20px;
    display: none;
    font-size: 15px;
    color: red;
}
@media (max-width: 500px) {
    .title-text{
        padding-bottom: 0;
        font-size: 18px;
        white-space: normal;
    }
}



.sell-btn{
    width: 100%;
    max-width: 300px;
    height: 60px;
    box-sizing: border-box;
    display: flex;
    justify-content: center;
    align-items: center;
    border: none;
    border-radius: 20px;
    transition: all .2s;
    background-color: var(--active-color);
    cursor: pointer;
    font-size: 20px;
    text-transform: uppercase;
    color: white;
    &:hover{
        background-color: #333CFD;
    }
    &:disabled{
        background-color: #DFE0E9;
        color: #797986;
        cursor: auto;
        &:hover{
            background-color: #DFE0E9;
        }
    }
    &.load{
        p{
            display: none;
        }
        .loader{
            display: block;
        }
    }
    .loader{
        display: none;
    }
}



.wallet-input{
    width: 100%;
    height: 60px;
    box-sizing: border-box;
    padding: 20px;
    border: none;
    border-radius: 20px;
    background-color: var(--light-color);
    font-size: 18px;
    text-align: center;
    color: var(--dark-color);
    outline: none;
    &::placeholder{
        color: #B3B4CA;
    }
    &:focus{
        outline: 2px var(--active-color) solid;
    }
    &.fail{
        outline: 2px red solid;
    }
    &.fail ~ .fail-input{
        display: block;
    }
}



.loader, .loader:before, .loader:after {
  border-radius: 50%;
  width: 2.5em;
  height: 2.5em;
  animation-fill-mode: both;
  animation: bblFadInOut 1.8s infinite ease-in-out;
}
.loader {
  color: var(--dark-color);
  font-size: 5px;
  position: relative;
  top: -10px;
  text-indent: -9999em;
  transform: translateZ(0);
  animation-delay: -0.16s;
}
.loader:before,
.loader:after {
  content: '';
  position: absolute;
  top: 0;
}
.loader:before {
  left: -3.5em;
  animation-delay: -0.32s;
}
.loader:after {
  left: 3.5em;
}

@keyframes bblFadInOut {
  0%, 80%, 100% { box-shadow: 0 2.5em 0 -1.3em }
  40% { box-shadow: 0 2.5em 0 0 }
}
    